/services/operations/v1/operations/cards/update
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
id |
integer | Yes | 87 |
|
title |
string|null
max: 255 |
No | Set up SSL certificate (revised) |
|
description |
string|null | No | Updated instructions for SSL setup |
|
group_id |
integer|null | No | 6 |
|
status |
string|null
max: 50 |
No | in_progress |
|
owner_id |
integer|null | No | 43 |
|
tag_id |
integer|null | No | 2 |
|
due_date |
string|null (date-time) | No | 2026-06-01 |
|
priority |
string|null
low, normal, high, urgent |
No | urgent |
|
snoozed_until |
string|null (date-time) | No | 2026-04-10 |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
object | |
data.card |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/operations/v1/operations/cards/update" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"id": 87,
"title": "Set up SSL certificate (revised)",
"description": "Updated instructions for SSL setup",
"group_id": 6,
"status": "in_progress",
"owner_id": 43,
"tag_id": 2,
"due_date": "2026-06-01",
"priority": "urgent",
"snoozed_until": "2026-04-10"
}'
fetch('https://api.wemasy.nl/api/services/operations/v1/operations/cards/update', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"id": 87,
"title": "Set up SSL certificate (revised)",
"description": "Updated instructions for SSL setup",
"group_id": 6,
"status": "in_progress",
"owner_id": 43,
"tag_id": 2,
"due_date": "2026-06-01",
"priority": "urgent",
"snoozed_until": "2026-04-10"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/operations/v1/operations/cards/update', {
"id": 87,
"title": "Set up SSL certificate (revised)",
"description": "Updated instructions for SSL setup",
"group_id": 6,
"status": "in_progress",
"owner_id": 43,
"tag_id": 2,
"due_date": "2026-06-01",
"priority": "urgent",
"snoozed_until": "2026-04-10"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"id": 87,
"title": "Set up SSL certificate (revised)",
"description": "Updated instructions for SSL setup",
"group_id": 6,
"status": "in_progress",
"owner_id": 43,
"tag_id": 2,
"due_date": "2026-06-01",
"priority": "urgent",
"snoozed_until": "2026-04-10"
}
r = requests.post("https://api.wemasy.nl/api/services/operations/v1/operations/cards/update", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": {
"card": "string"
}
}